# Project:   SPRtools


# Toolflags:
CCflags      = -apcs 3/26 -fah -Wnp -c90 -c -depend !Depend -throwback -DRISCOS -IC:
Linkflags    = -apcs 3/26 -L@.o.conv_lib,C:o.stubs -o $@
ObjAsmflags  = -apcs 3/26 -depend !Depend -ThrowBack -Stamp -quit -CloseExec
CMHGflags    = -26bit -depend !Depend -throwback
LibFileflags = -c -o $@
Squeezeflags = -v $@


# Final targets:
all:    @.bin.spr_fsi     \
        @.bin.spr_diff    \
        @.bin.spr_pal     \
        @.bin.spr4spr     \
        @.bin.spr3spr     \
        @.bin.spr2xbm     \
        @.bin.spr2bmp     \
        @.bin.spr2ras     \
        @.bin.spr2sb      \
        @.bin.spr2tga     \
        @.bin.spr2xwd     \
        @.bin.spr2clr     \
        @.bin.bmp2spr     \
        @.bin.ras2spr     \
        @.bin.sb2spr      \
        @.bin.tga2spr     \
        @.bin.xwd2spr     \
        @.bin.clr2spr     \
        @.bin.bmp_info    \
        @.bin.ras_info    \
        @.bin.sb_info     \
        @.bin.tga_info    \
        @.bin.xwd_info    \
        @.bin.clr_info    \
        @.bin.spr_info    \
        @.bin.chmode

.SUFFIXES: .o .c

.c.o:;  cc $(ccflags) $<


@.o.conv_lib: @.o.io	  \
	      @.o.sprite  \
	      @.o.colours \
	      @.o.process \
	      @.o.palette
        libfile $(LibFileflags) @.o.io	    \
                                @.o.sprite  \
                                @.o.colours \
                                @.o.process \
                                @.o.palette


@.bin.spr_fsi: @.o.spr_fsi @.o.conv_lib
        cc $(linkflags) @.o.spr_fsi
        Squeeze $(Squeezeflags)

@.bin.spr_diff: @.o.spr_diff @.o.conv_lib
        cc $(linkflags) @.o.spr_diff
        Squeeze $(Squeezeflags)

@.bin.spr_pal: @.o.spr_pal @.o.conv_lib
        cc $(linkflags) @.o.spr_pal
        Squeeze $(Squeezeflags)

@.bin.spr4spr: @.o.spr4spr @.o.conv_lib
        cc $(linkflags) @.o.spr4spr
        Squeeze $(Squeezeflags)

@.bin.spr3spr: @.o.spr3spr @.o.conv_lib
        cc $(linkflags) @.o.spr3spr
        Squeeze $(Squeezeflags)

@.bin.spr2xbm: @.o.spr2xbm @.o.conv_lib
        cc $(linkflags) @.o.spr2xbm
        Squeeze $(Squeezeflags)

@.bin.spr2bmp: @.o.spr2bmp @.o.conv_lib
        cc $(linkflags) @.o.spr2bmp
        Squeeze $(Squeezeflags)

@.bin.spr2ras: @.o.spr2ras @.o.conv_lib
        cc $(linkflags) @.o.spr2ras
        Squeeze $(Squeezeflags)

@.bin.spr2sb:  @.o.spr2sb @.o.conv_lib
        cc $(linkflags) @.o.spr2sb
        Squeeze $(Squeezeflags)

@.bin.spr2tga: @.o.spr2tga @.o.conv_lib
        cc $(linkflags) @.o.spr2tga
        Squeeze $(Squeezeflags)

@.bin.spr2xwd: @.o.spr2xwd @.o.conv_lib
        cc $(linkflags) @.o.spr2xwd
        Squeeze $(Squeezeflags)

@.bin.spr2clr: @.o.spr2clr @.o.conv_lib
        cc $(linkflags) @.o.spr2clr
        Squeeze $(Squeezeflags)

@.bin.bmp2spr: @.o.bmp2spr @.o.conv_lib
        cc $(linkflags) @.o.bmp2spr
        Squeeze $(Squeezeflags)

@.bin.ras2spr: @.o.ras2spr @.o.conv_lib
        cc $(linkflags) @.o.ras2spr
        Squeeze $(Squeezeflags)

@.bin.sb2spr: @.o.sb2spr @.o.conv_lib
        cc $(linkflags) @.o.sb2spr
        Squeeze $(Squeezeflags)

@.bin.tga2spr: @.o.tga2spr @.o.conv_lib
        cc $(linkflags) @.o.tga2spr
        Squeeze $(Squeezeflags)

@.bin.xwd2spr: @.o.xwd2spr @.o.conv_lib
        cc $(linkflags) @.o.xwd2spr
        Squeeze $(Squeezeflags)

@.bin.clr2spr: @.o.clr2spr @.o.conv_lib
        cc $(linkflags) @.o.clr2spr
        Squeeze $(Squeezeflags)

@.bin.bmp_info:   @.o.bmp_info @.o.conv_lib
        cc $(linkflags) @.o.bmp_info
        Squeeze $(Squeezeflags)

@.bin.ras_info:   @.o.ras_info @.o.conv_lib
        cc $(linkflags) @.o.ras_info
        Squeeze $(Squeezeflags)

@.bin.sb_info:   @.o.sb_info @.o.conv_lib
        cc $(linkflags) @.o.sb_info
        Squeeze $(Squeezeflags)

@.bin.tga_info:  @.o.tga_info @.o.conv_lib
        cc $(linkflags) @.o.tga_info
        Squeeze $(Squeezeflags)

@.bin.xwd_info:  @.o.xwd_info @.o.conv_lib
        cc $(linkflags) @.o.xwd_info
        Squeeze $(Squeezeflags)

@.bin.clr_info:  @.o.clr_info @.o.conv_lib
        cc $(linkflags) @.o.clr_info
        Squeeze $(Squeezeflags)

@.bin.spr_info:  @.o.spr_info @.o.conv_lib
        cc $(linkflags) @.o.spr_info
        Squeeze $(Squeezeflags)

@.bin.chmode:  @.o.chmode @.o.conv_lib
        cc $(linkflags) @.o.chmode
        Squeeze $(Squeezeflags)


# Dynamic dependencies:
o.ras2spr: c.ras2spr h.io h.sprite h.io h.ras
o.tga2spr: c.tga2spr h.io h.sprite h.io h.tga
o.bmp_info: c.bmp_info h.io h.bmp
o.ras_info: c.ras_info h.io h.ras
o.xwd_info: c.xwd_info h.io h.xwd
o.spr_info: c.spr_info h.io h.sprite h.io h.palette h.sprite
o.spr_fsi: c.spr_fsi h.io h.sprite h.io h.process h.sprite h.colours h.sprite h.palette h.sprite
o.spr_diff: c.spr_diff h.io h.sprite h.io
o.spr_pal: c.spr_pal h.io h.sprite h.io h.process h.sprite h.colours h.sprite h.palette h.sprite
o.spr3spr: c.spr3spr h.io h.sprite h.io
o.spr2xbm: c.spr2xbm h.io h.sprite h.io
o.spr2bmp: c.spr2bmp h.io h.bmp h.sprite h.io
o.spr2ras: c.spr2ras h.io h.sprite h.io h.ras
o.spr2sb: c.spr2sb h.io h.sprite h.io h.sb
o.spr2tga: c.spr2tga h.io h.sprite h.io h.tga
o.spr2xwd: c.spr2xwd h.io h.sprite h.io h.xwd
o.spr2clr: c.spr2clr h.io h.sprite h.io h.clear
o.bmp2spr: c.bmp2spr h.io h.bmp h.sprite h.io
o.sb2spr: c.sb2spr h.io h.sprite h.io h.sb
o.xwd2spr: c.xwd2spr h.io h.sprite h.io h.xwd
o.clr2spr: c.clr2spr h.io h.sprite h.io h.clear
o.sb_info: c.sb_info h.io h.sb
o.tga_info: c.tga_info h.io h.tga
o.clr_info: c.clr_info h.io h.clear
o.chmode: c.chmode h.io h.sprite h.io
o.io: c.io h.io
o.sprite: c.sprite h.io h.sprite h.io
o.colours: c.colours h.sprite h.io h.colours h.sprite
o.process: c.process h.sprite h.io h.colours h.sprite h.palette h.sprite h.process h.sprite h.colours
o.palette: c.palette h.io h.sprite h.io h.process h.sprite h.colours h.sprite h.palette h.sprite
