# Project:   SPRtools


# Toolflags:
CCflags      = -apcs 3/32 -fah -Wnp -c -depend !Depend -throwback -DRISCOS -IC:
Linkflags    = -apcs 3/32 -L@.o.conv_lib,C:o.stubs32 -o $@
ObjAsmflags  = -apcs 3/32 -depend !Depend -ThrowBack -Stamp -quit -CloseExec
CMHGflags    = -32bit -depend !Depend -throwback
LibFileflags = -c -o $@
Squeezeflags = -v $@
AAsmflags    = -depend !Depend -quit -CloseExec -To $@ -From


# Final targets:
all:    @.bin.spr_fsi     \
        @.bin.spr_diff    \
        @.bin.spr_pal     \
        @.bin.spr4spr     \
        @.bin.spr3spr     \
        @.bin.spr2xbm     \
        @.bin.spr2bmp     \
        @.bin.spr2ras     \
        @.bin.spr2sb      \
        @.bin.spr2tga     \
        @.bin.spr2xwd     \
        @.bin.spr2clr     \
        @.bin.bmp2spr     \
        @.bin.ras2spr     \
        @.bin.sb2spr      \
        @.bin.tga2spr     \
        @.bin.xwd2spr     \
        @.bin.clr2spr     \
        @.bin.bmp_info    \
        @.bin.ras_info    \
        @.bin.sb_info     \
        @.bin.tga_info    \
        @.bin.xwd_info    \
        @.bin.clr_info    \
        @.bin.spr_info    \
        @.bin.chmode

.SUFFIXES: .o .c

.c.o:;  cc $(ccflags) $<


@.o.conv_lib: @.o.io	  \
	      @.o.sprite  \
	      @.o.colours \
	      @.o.process \
	      @.o.palette
        libfile $(LibFileflags) @.o.io	    \
                                @.o.sprite  \
                                @.o.colours \
                                @.o.process \
                                @.o.palette


@.bin.spr_fsi: @.o.spr_fsi @.o.conv_lib
        cc $(linkflags) @.o.spr_fsi
        Squeeze $(Squeezeflags)

@.bin.spr_diff: @.o.spr_diff @.o.conv_lib
        cc $(linkflags) @.o.spr_diff
        Squeeze $(Squeezeflags)

@.bin.spr_pal: @.o.spr_pal @.o.conv_lib
        cc $(linkflags) @.o.spr_pal
        Squeeze $(Squeezeflags)

@.bin.spr4spr: @.o.spr4spr @.o.conv_lib
        cc $(linkflags) @.o.spr4spr
        Squeeze $(Squeezeflags)

@.bin.spr3spr: @.o.spr3spr @.o.conv_lib
        cc $(linkflags) @.o.spr3spr
        Squeeze $(Squeezeflags)

@.bin.spr2xbm: @.o.spr2xbm @.o.conv_lib
        cc $(linkflags) @.o.spr2xbm
        Squeeze $(Squeezeflags)

@.bin.spr2bmp: @.o.spr2bmp @.o.conv_lib
        cc $(linkflags) @.o.spr2bmp
        Squeeze $(Squeezeflags)

@.bin.spr2ras: @.o.spr2ras @.o.conv_lib
        cc $(linkflags) @.o.spr2ras
        Squeeze $(Squeezeflags)

@.bin.spr2sb:  @.o.spr2sb @.o.conv_lib
        cc $(linkflags) @.o.spr2sb
        Squeeze $(Squeezeflags)

@.bin.spr2tga: @.o.spr2tga @.o.conv_lib
        cc $(linkflags) @.o.spr2tga
        Squeeze $(Squeezeflags)

@.bin.spr2xwd: @.o.spr2xwd @.o.conv_lib
        cc $(linkflags) @.o.spr2xwd
        Squeeze $(Squeezeflags)

@.bin.spr2clr: @.o.spr2clr @.o.conv_lib
        cc $(linkflags) @.o.spr2clr
        Squeeze $(Squeezeflags)

@.bin.bmp2spr: @.o.bmp2spr @.o.conv_lib
        cc $(linkflags) @.o.bmp2spr
        Squeeze $(Squeezeflags)

@.bin.ras2spr: @.o.ras2spr @.o.conv_lib
        cc $(linkflags) @.o.ras2spr
        Squeeze $(Squeezeflags)

@.bin.sb2spr: @.o.sb2spr @.o.conv_lib
        cc $(linkflags) @.o.sb2spr
        Squeeze $(Squeezeflags)

@.bin.tga2spr: @.o.tga2spr @.o.conv_lib
        cc $(linkflags) @.o.tga2spr
        Squeeze $(Squeezeflags)

@.bin.xwd2spr: @.o.xwd2spr @.o.conv_lib
        cc $(linkflags) @.o.xwd2spr
        Squeeze $(Squeezeflags)

@.bin.clr2spr: @.o.clr2spr @.o.conv_lib
        cc $(linkflags) @.o.clr2spr
        Squeeze $(Squeezeflags)

@.bin.bmp_info:   @.o.bmp_info @.o.conv_lib
        cc $(linkflags) @.o.bmp_info
        Squeeze $(Squeezeflags)

@.bin.ras_info:   @.o.ras_info @.o.conv_lib
        cc $(linkflags) @.o.ras_info
        Squeeze $(Squeezeflags)

@.bin.sb_info:   @.o.sb_info @.o.conv_lib
        cc $(linkflags) @.o.sb_info
        Squeeze $(Squeezeflags)

@.bin.tga_info:  @.o.tga_info @.o.conv_lib
        cc $(linkflags) @.o.tga_info
        Squeeze $(Squeezeflags)

@.bin.xwd_info:  @.o.xwd_info @.o.conv_lib
        cc $(linkflags) @.o.xwd_info
        Squeeze $(Squeezeflags)

@.bin.clr_info:  @.o.clr_info @.o.conv_lib
        cc $(linkflags) @.o.clr_info
        Squeeze $(Squeezeflags)

@.bin.spr_info:  @.o.spr_info @.o.conv_lib
        cc $(linkflags) @.o.spr_info
        Squeeze $(Squeezeflags)

@.bin.chmode:  @.o.chmode @.o.conv_lib
        cc $(linkflags) @.o.chmode
        Squeeze $(Squeezeflags)


# Dynamic dependencies:
o.spr_pal:	c.spr_pal
o.spr_pal:	h.io
o.spr_pal:	h.sprite
o.spr_pal:	h.io
o.spr_pal:	h.process
o.spr_pal:	h.sprite
o.spr_pal:	h.colours
o.spr_pal:	h.sprite
o.spr_pal:	h.palette
o.spr_pal:	h.sprite
o.ras2spr:	c.ras2spr
o.ras2spr:	h.io
o.ras2spr:	h.sprite
o.ras2spr:	h.io
o.ras2spr:	h.ras
o.tga2spr:	c.tga2spr
o.tga2spr:	h.io
o.tga2spr:	h.sprite
o.tga2spr:	h.io
o.tga2spr:	h.tga
o.clr2spr:	c.clr2spr
o.clr2spr:	h.io
o.clr2spr:	h.sprite
o.clr2spr:	h.io
o.clr2spr:	h.clear
o.spr_diff:	c.spr_diff
o.spr_diff:	h.io
o.spr_diff:	h.sprite
o.spr_diff:	h.io
o.spr2xwd:	c.spr2xwd
o.spr2xwd:	h.io
o.spr2xwd:	h.sprite
o.spr2xwd:	h.io
o.spr2xwd:	h.xwd
o.bmp2spr:	c.bmp2spr
o.bmp2spr:	h.io
o.bmp2spr:	h.bmp
o.bmp2spr:	h.sprite
o.bmp2spr:	h.io
o.ras_info:	c.ras_info
o.ras_info:	h.io
o.ras_info:	h.ras
o.spr_info:	c.spr_info
o.spr_info:	h.io
o.spr_info:	h.sprite
o.spr_info:	h.io
o.spr_info:	h.palette
o.spr_info:	h.sprite
o.colours:	c.colours
o.colours:	h.sprite
o.colours:	h.io
o.colours:	h.colours
o.colours:	h.sprite
o.spr_fsi:	c.spr_fsi
o.spr_fsi:	h.io
o.spr_fsi:	h.sprite
o.spr_fsi:	h.io
o.spr_fsi:	h.process
o.spr_fsi:	h.sprite
o.spr_fsi:	h.colours
o.spr_fsi:	h.sprite
o.spr_fsi:	h.palette
o.spr_fsi:	h.sprite
o.spr3spr:	c.spr3spr
o.spr3spr:	h.io
o.spr3spr:	h.sprite
o.spr3spr:	h.io
o.spr2xbm:	c.spr2xbm
o.spr2xbm:	h.io
o.spr2xbm:	h.sprite
o.spr2xbm:	h.io
o.spr2ras:	c.spr2ras
o.spr2ras:	h.io
o.spr2ras:	h.sprite
o.spr2ras:	h.io
o.spr2ras:	h.ras
o.spr2tga:	c.spr2tga
o.spr2tga:	h.io
o.spr2tga:	h.sprite
o.spr2tga:	h.io
o.spr2tga:	h.tga
o.sb2spr:	c.sb2spr
o.sb2spr:	h.io
o.sb2spr:	h.sprite
o.sb2spr:	h.io
o.sb2spr:	h.sb
o.xwd2spr:	c.xwd2spr
o.xwd2spr:	h.io
o.xwd2spr:	h.sprite
o.xwd2spr:	h.io
o.xwd2spr:	h.xwd
o.process:	c.process
o.process:	h.sprite
o.process:	h.io
o.process:	h.colours
o.process:	h.sprite
o.process:	h.palette
o.process:	h.sprite
o.process:	h.process
o.process:	h.sprite
o.process:	h.colours
o.palette:	c.palette
o.palette:	h.io
o.palette:	h.sprite
o.palette:	h.io
o.palette:	h.process
o.palette:	h.sprite
o.palette:	h.colours
o.palette:	h.sprite
o.palette:	h.palette
o.palette:	h.sprite
o.sprite:	c.sprite
o.sprite:	h.io
o.sprite:	h.sprite
o.sprite:	h.io
o.spr4spr:	c.spr4spr
o.spr4spr:	h.io
o.spr4spr:	h.sprite
o.spr4spr:	h.io
