/************************************************************************
 *                                                                      *
 * tga.h								*
 *                                                                      *
 * TGA image format header structure					*
 *                                                                      *
 * Version 2.10 (22-Aug-1993)                                           *
 *                                                                      *
 ************************************************************************/


typedef struct
{
        BYTE    IDLength;               /* 0                              */
        BYTE    MapType;                /* 0 = no map, 1 = map            */
        BYTE    ImageType;              /* 1 = mapped, 2 = not mapped,    */
                                        /* bit 3 set = Compressed         */
        WORD    MapInfoOrgin;           /* 0                              */
        WORD    MapInfoLength;          /* number of map entries          */
        BYTE    MapInfoWidth;           /* size of map entries 16,24      */
        WORD    ImageInfoX;             /* Stored X position              */
        WORD    ImageInfoY;             /* Stored Y position              */
        WORD    ImageInfoDX;            /* X size of image                */
        WORD    ImageInfoDY;            /* Y size of image                */
        BYTE    ImageInfoDepth;         /* Bits per pixel 8,16,24         */
        BYTE    ImageInfoAttrib;        /* Bit 5: 0=invert Y, 1=normal Y  */
} tga_hdr_str;

int tga_hdr_descr[] = { 1,1,1, 2,2, 1, 2,2,2,2, 1,1, -1 };

